Bug 58558 - RegExp broken in rawhide-release-20020119-1
Summary: RegExp broken in rawhide-release-20020119-1
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: fileutils   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-19 18:37 UTC by Jaroslaw Sosnicki
Modified: 2007-04-18 16:39 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-19 18:39:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
list of RPM's installed (12.20 KB, text/plain)
2002-01-19 18:39 UTC, Jaroslaw Sosnicki
no flags Details

Description Jaroslaw Sosnicki 2002-01-19 18:37:50 UTC
Description of Problem:
Regular expression is broken in latest rawhide.
I have fileutils-4.1.5-1 installed.


Version-Release number of selected component (if applicable):
See uploaded file listing all RPM packages installed

How Reproducible:
[root@ns1 test]# ls -al
total 16
drwxr-xr-x    2 root     root         1024 Jan 19 11:27 .
drwxr-x---   13 root     root         1024 Jan 19 11:15 ..
-rw-r--r--    1 root     root            0 Jan 19 11:16 a.txt
-rw-r--r--    1 root     root            0 Jan 19 11:15 A.txt
-rw-r--r--    1 root     root            0 Jan 19 11:16 b.txt
-rw-r--r--    1 root     root            0 Jan 19 11:16 B.txt
-rw-r--r--    1 root     root            0 Jan 19 11:16 c.txt
-rw-r--r--    1 root     root            0 Jan 19 11:16 C.txt
-rw-r--r--    1 root     root        12490 Jan 19 11:27 rh.txt
[root@ns1 test]# 
[root@ns1 test]# ls -l [a-z]*
-rw-r--r--    1 root     root            0 Jan 19 11:16 a.txt
-rw-r--r--    1 root     root            0 Jan 19 11:15 A.txt <-- What do
uppercase show up
-rw-r--r--    1 root     root            0 Jan 19 11:16 b.txt
-rw-r--r--    1 root     root            0 Jan 19 11:16 B.txt
-rw-r--r--    1 root     root            0 Jan 19 11:16 c.txt
-rw-r--r--    1 root     root            0 Jan 19 11:16 C.txt
-rw-r--r--    1 root     root        12490 Jan 19 11:27 rh.txt
[root@ns1 test]# 
[root@ns1 test]# ls -l [A-Z]*
-rw-r--r--    1 root     root            0 Jan 19 11:15 A.txt   <-Note this no
lowercase GOOD
-rw-r--r--    1 root     root            0 Jan 19 11:16 b.txt <-- What this   
-rw-r--r--    1 root     root            0 Jan 19 11:16 B.txt
-rw-r--r--    1 root     root            0 Jan 19 11:16 c.txt
-rw-r--r--    1 root     root            0 Jan 19 11:16 C.txt
-rw-r--r--    1 root     root        12490 Jan 19 11:27 rh.txt
[root@ns1 test]# 


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:

Comment 1 Jaroslaw Sosnicki 2002-01-19 18:39:01 UTC
Created attachment 42894 [details]
list of RPM's installed

Comment 2 Bernhard Rosenkraenzer 2002-01-22 11:25:01 UTC
This is the expected behavior if you're using a non-case sensitive locale.
If you don't like it, add

LC_COLLATE=C

to /etc/sysconfig/i18n



Note You need to log in before you can comment on or make changes to this bug.